cython (3.0.11+dfsg-2ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:52:31 +0000

cython (3.0.11+dfsg-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 11 Feb 2025 12:55:20 +0000

cython (3.0.11+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Backport ufunc Numpy2 fix (closes: #1095084).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Feb 2025 17:55:27 +0000

cython (3.0.11+dfsg-1ubuntu2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:53:48 +0100

cython (3.0.11+dfsg-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Aug 2024 12:41:24 +0200

cython (3.0.11+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
  * Refresh patches.
  * Patch: Fix a regression reported upstream.
  * Add a debian/.gitignore file to negate upstream's *.patch ignore.
  * Clean generated C sources.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Aug 2024 23:23:20 +0200

cython (3.0.10+dfsg-5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 06 May 2024 15:46:52 +0000

cython (3.0.10+dfsg-5) unstable; urgency=medium

  * Team upload
  * When there is more than one supported Python version, i386 and arm64
    are too slow for autopkgtest to run the entire testsuite on each
    Python version without timing out.  So we restrict to only the default
    version on those archs.

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Apr 2024 19:39:36 +0100

cython (3.0.10+dfsg-4) unstable; urgency=medium

  * Team upload
  * debian/:
    - Build with --with=sphinxdoc only on -indep builds
    - Stop building debug extensions to finish move to -dbgsym
      packages (Closes: 1069305)
  * debian/rules:
    - Use $(MAKE) instead of make
    - Run tests only for -arch builds.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Apr 2024 18:15:24 +0200

cython (3.0.10+dfsg-3) unstable; urgency=medium

  * Team upload
  * Only build documentation when building arch-independent package

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 23:06:08 +0100

cython (3.0.10+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fix build-dependencies

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 15:29:16 +0100

cython (3.0.10+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version (closes: #1059835)
  * Install cythonize command-line script
  * Update to debhelper compat level 13
  * Update Standards-Version to 4.7.0 (no changes required)
  * Build with sphinxdoc to avoid embedded JavaScript code, and move
    documentation to /usr/share/doc/cython3
  * Add help2man-generated manpages for cythonize and cygdb
  * Update d/copyright and exclude demo files with unclear licensing
    conditions
  * Add doc-base file to cython-doc

 -- Julian Gilbey <jdg@debian.org>  Wed, 17 Apr 2024 22:17:50 +0100

cython (3.0.8-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:06 +1100

cython (3.0.8-1ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:15:20 +0100

cython (3.0.8-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Jan 2024 12:55:48 +0100

cython (3.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Patch: pyximport: Avoid chdir() and relative paths. (Closes: #1056872)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Jan 2024 14:14:12 -0400

cython (3.0.7-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 30 Dec 2023 11:42:37 -0400

cython (3.0.7-2) unstable; urgency=medium

  * Team upload.
  * Correctly skip cpp_stl_any, which is a doctest and must be skipped by
    module name only.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 29 Dec 2023 15:53:55 -0400

cython (3.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Dec 2023 21:26:11 -0400

cython (3.0.6-3) unstable; urgency=medium

  * Team upload.
  * Patch: Disable some tests that are failing on Debian CI.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Dec 2023 12:53:51 -0400

cython (3.0.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Restore the old cython binary (and keep cython3 as a symbolic link).
    (Closes: #686045)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Dec 2023 10:57:23 -0400

cython (3.0.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Dec 2023 14:19:49 -0400

cython (3.0.5-2) experimental; urgency=medium

  * Team upload.
  * cython3: Breaks + Replaces cython3-dbg. (Closes: #1056627)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Nov 2023 13:48:37 +0000

cython (3.0.5-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release. (Closes: #1028157, #1055681)
  * Refresh patches.
  * Drop patch deb_disable_googleanalytics, superseded upstream.
  * Build-Depends-Indep: python3-sphinx-issues, python3-sphinx-tabs.
  * Copy more bits into the testsuite autopkgtest.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Nov 2023 18:01:46 +0000

cython (0.29.36-3.1ubuntu2) noble; urgency=medium

  * Merge with Debian; remainig changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Dec 2023 08:17:01 +0100

cython (0.29.36-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid using the thread state attribute "use_tracing" in Python 3.12.
    Patch taken from upstream. "however, that doesn't mean that
    profiling/tracing now works in Py3.12".

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2023 00:06:47 +0100

cython (0.29.36-3ubuntu1) noble; urgency=medium

  * Merge with Debian; remainig changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 13:31:59 +0100

cython (0.29.36-3) unstable; urgency=medium

  * Team upload.
  * cython3: Breaks + Replaces cython3-dbg. (Closes: #1056627)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Nov 2023 13:44:02 +0000

cython (0.29.36-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Nov 2023 22:46:36 +0100

cython (0.29.36-2) unstable; urgency=medium

  * Team upload.
  * Remove unnecessary non-pybuild parts of the build. (Closes: #904211)
  * Replace cython3-dbg with --automatic-dbgsym.
  * Minor rules cleanup.
  * Use dh-exec to rename commands.
  * Run the upstream test suite in an autopkgtest.
  * Build-Depend on python3-setuptools, upstream uses distutils which will be
    removed from 3.12.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Nov 2023 14:32:11 +0000

cython (0.29.36-1ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 19:01:40 +0100

cython (0.29.36-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Jul 2023 13:16:19 +0200

cython (0.29.36-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Includes Python 3.12 support (Closes: #1004725)
  * Drop patch py3.11-dbg-assertion.patch, supersedde upstream.
  * Clean pybuild's work directory.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 07 Jul 2023 10:05:47 -0400

cython (0.29.32-2ubuntu2) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 14:46:27 -0500

cython (0.29.32-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 01 Dec 2022 15:18:53 +0000

cython (0.29.32-2) unstable; urgency=medium

  * Team upload.
  * Patch: Avoid triggering an assertion failure on python3.11-dbg when
    calling cyfuncs.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Nov 2022 19:59:12 +0200

cython (0.29.32-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1995992), remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Nov 2022 12:08:12 +0000

cython (0.29.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.32.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Sep 2022 14:31:42 -0400

cython (0.29.30-1ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 06:27:33 +0000

cython (0.29.30-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 Jun 2022 15:02:41 +0000

cython (0.29.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.30.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jun 2022 10:12:47 -0400

cython (0.29.28-3) unstable; urgency=medium

  * Team upload
  * Fixed another 2-digit minor version bug.
  * Skip tests on sparc64, where they frequently fail. (Closes: #1003181)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Mar 2022 23:20:26 -0400

cython (0.29.28-2) unstable; urgency=medium

  * Team upload
  * Handle 2-digit Python minor versions.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Mar 2022 14:29:17 -0400

cython (0.29.28-1ubuntu3) jammy; urgency=medium

  * Fix cython3-dbg installation for Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:07:30 +0000

cython (0.29.28-1ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:48:27 +0000

cython (0.29.28-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 23 Feb 2022 18:12:26 +0000

cython (0.29.28-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev, help2man and
      python3-numpy.

  [ Graham Inggs ]
  * New upstream release
  * Drop 23c3e1e71c42ac4a3d791267a1f8f7ac3df1c3cc.patch included upstream
  * Mark import3 autopkgtest as superficial (Closes: #971460)

 -- Graham Inggs <ginggs@debian.org>  Wed, 23 Feb 2022 12:31:37 +0000

cython (0.29.24-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Dec 2021 15:12:42 +0000

cython (0.29.24-2) unstable; urgency=medium

  * Team upload.
  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Reduce Build-Depends: (Closes: #981502)
    + Demote python3-sphinx to Build-Depends-Indep.
    + Annotate gdb dependency <!nocheck>.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Dec 2021 18:47:04 +0100

cython (0.29.24-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + cython3-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * New upstream release; Closes: #991946
  * debian/patches/23c3e1e71c42ac4a3d791267a1f8f7ac3df1c3cc.patch
    - include upstream change to fix doc build
  * debian/patches/deb_nopngmath
    - drop patch, no longer needed

 -- Sandro Tosi <morph@debian.org>  Wed, 20 Oct 2021 22:41:55 -0400

cython (0.29.24-0ubuntu3) jammy; urgency=medium

  * Fix compatibility with Sphinx 4.2.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 20 Oct 2021 08:00:23 +0000

cython (0.29.24-0ubuntu2) jammy; urgency=medium

  * Replace remaining changes after merge:
    + Drop python-numpy build-dependencies on i386
    + Drop numpy b-d for a first build with 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 19 Oct 2021 11:55:50 +0000

cython (0.29.24-0ubuntu1) jammy; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + cython3-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * New upstream release; Closes: #991946

  [ Graham Inggs ]
  * Refresh debian/patches/deb_nopngmath

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 19 Oct 2021 07:31:26 +0000

cython (0.29.21-3) unstable; urgency=medium

  * Team upload
  * Reinstate build dependency on python3-numpy and enable tests

 -- Graham Inggs <ginggs@debian.org>  Sun, 18 Oct 2020 14:30:27 +0000

cython (0.29.21-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Graham Inggs ]
  * Drop build dependency on python3-numpy for a first python3.9 build
    and don't run the tests for this build

 -- Graham Inggs <ginggs@debian.org>  Wed, 14 Oct 2020 09:52:40 +0000

cython (0.29.21-1ubuntu4) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:13 +0000

cython (0.29.21-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:19:50 +0100

cython (0.29.21-1ubuntu2) hirsute; urgency=medium

  * Drop nump b-d for a first build with 3.9.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 18:56:26 +0200

cython (0.29.21-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Aug 2020 16:03:09 +0200

cython (0.29.21-1) unstable; urgency=medium

  * New upstream release; Closes: #963084

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jul 2020 23:17:28 -0400

cython (0.29.14-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #936363, #942939, #906699
  * Switch to pybuild

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Jun 2020 23:54:03 -0400

cython (0.29.14-1) unstable; urgency=medium

  * Team upload.
  * Manual rebuild for python3.7 removal.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 17:11:55 -0400

cython (0.29.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, more Python 3.8 fixes. Closes: #942696.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Nov 2019 13:16:50 +0100

cython (0.29.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, supporting Python 3.8. Closes: #942696.
  * Run the tests for every python version, but ignore failures for
    a first build.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Oct 2019 21:58:37 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog cython3`.
